/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.xliff.util.message;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoXliffUtilMessage/メッセージ定義[BlancoXliffUtil]が内部的に利用するリソースバンドルクラス。]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 */
class BlancoXliffUtilMessageResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoXliffUtilMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoXliffUtilMessage]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoXliffUtilMessageResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/xliff/util/message/BlancoXliffUtilMessage");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoXliffUtilMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoXliffUtilMessage]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoXliffUtilMessageResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/xliff/util/message/BlancoXliffUtilMessage", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoXliffUtilMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoXliffUtilMessage]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoXliffUtilMessageResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/xliff/util/message/BlancoXliffUtilMessage", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }
}
